package model;

/**
 * Implementierung verschiedener Algorithmen zur Berechnung von Ausgleichsgeraden.
 *
 * @Author: Armin Wolf
 * @Email: a_wolf28@uni-muenster.de
 * @Date: 16.06.2017.
 */
public class Interval {

    private double upper;
    private double lower;
    private Boolean activity;

    public Interval(double lower, double upper) {
        this.upper = upper;
        this.lower = lower;
        this.activity = true;
    }

    public Boolean getActivity() {
        return activity;
    }

    public void setActivity(Boolean isActive) {
        this.activity = isActive;
    }

    public double getUpper() {
        return upper;
    }

    public void setUpper(double upper) {
        this.upper = upper;
    }

    public double getLower() {
        return lower;
    }

    public void setLower(double lower) {
        this.lower = lower;
    }

    public Double getDistance() {

        return Math.abs(this.upper - this.lower);
    }

}